Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class ResponseError

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.ResponseError

All Implemented Interfaces:
  Item, Response

public class ResponseError
extends SDO
implements Response

This class handles the errors generated after the response.

Inner Class Summary
`class` | `ResponseError.RETemplate` This class provides the functionality for processing the templates

Field Summary
`String` | `txt`

Constructor Summary
`ResponseError()`
`ResponseError(String txt)`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Prints the error generated after response.
`String` | `getAction()` Returns the action defined by this message.
`QSchemaFactory` | `getFactory()` Returns the response schema(predefined format of data).
`void` | `process(DBSession.Row qSession)`
`void` | `setPendingMsg(DBPendingMessage.Row pm)` Creates inbox message for error raised and closes the session

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### txt

    public String txt

Constructor Detail

### ResponseError

    public ResponseError()

### ResponseError

    public ResponseError(String txt)

Method Detail

### getAction

    public String getAction()

  Returns the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### getFactory

    public QSchemaFactory getFactory()

  Returns the response schema(predefined format of data).
  Overrides:
    `getFactory` in class `SDO`

### process

    public void process(DBSession.Row qSession)
                 throws Exception

### setPendingMsg

    public void setPendingMsg(DBPendingMessage.Row pm)
                       throws Exception

  Creates inbox message for error raised and closes the session
  Specified by:
    `setPendingMsg` in interface `Response`

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Prints the error generated after response.
  Overrides:
    `eval` in class `SDO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD